#!/bin/sh

if [ $# -ne 4 ]; then
    echo "$0 host [args for alpine-install-on-disk.sh]"
    exit 1
fi

host=$1; shift

disk=$1; shift
key=$1; shift
mode=$1; shift

cat <<EOF | ssh -t root@$host
echo nameserver 2a0a:e5c0:10:a::a > /etc/resolv.conf
apk update
apk add git sfdisk sudo wget
cd /opt
if [ ! -d /opt/ungleich-tools ]; then git clone https://code.ungleich.ch/ungleich-public/ungleich-tools.git; fi
/opt/ungleich-tools/alpine-install-on-disk.sh $disk $key $mode

EOF
